Subject: Bug#3984: NIS writes error message to STDERR

From: "Brian C. White" <[email-masked]>
Date: Wed, 31 Jul 1996 17:08:08 -0400

Package: nis
Version: 1.20-1

I having problems with cron reporting the following error should the
NIS server be unavailable.

	yp_first: clnt_call: RPC: Remote system error

This is very annoying as I will get mail every minute or two when cron
tries to execute at-run.  This is also causing a problem with gnats as
it thinks the mail is a bug report and starts processing it.

I assume it is NIS doing this since cron works fine without NIS
installed.

This should be handled more gracefully.  A background utility like this
should be sending errors via syslog or something instead of writing to
STDOUT or STDERR.

                                        Brian
                               ( [email-masked] )

-------------------------------------------------------------------------------
    In theory, theory and practice are the same.  In practice, they're
not.